/* tslint:disable:no-unused-variable */
import { InputComponent } from './input.component';

export class MockInjector {
  get = jest.fn();
}

// tslint:disable-next-line: max-classes-per-file
export class MockChangeDetectorRef {
  markForCheck = jest.fn();
  detach = jest.fn();
  detectChanges = jest.fn();
  reattach = jest.fn();
  checkNoChanges = jest.fn();
}

describe('InputComponent', () => {
  let component: InputComponent;
  it('should create', () => {
    component = new InputComponent(new MockInjector(), new MockChangeDetectorRef());
    expect(component).toBeTruthy();
  });
});
